Bug 213220 - [NEW PORT] databases/mongodb34
Summary: [NEW PORT] databases/mongodb34
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-05 05:46 UTC by Eric Camachat
Modified: 2017-04-26 12:43 UTC (History)
5 users (show)

See Also:
bsam: maintainer-feedback+


Attachments
add databases/mongodb34 port (10.94 KB, patch)
2016-10-05 05:46 UTC, Eric Camachat
no flags Details | Diff
do not change maintainer of mongodb (10.94 KB, patch)
2016-11-09 19:36 UTC, Eric Camachat
no flags Details | Diff
refresh patch (8.34 KB, patch)
2016-11-09 19:38 UTC, Eric Camachat
no flags Details | Diff
Update to 3.4.0 rc2 (8.34 KB, patch)
2016-11-09 23:51 UTC, Eric Camachat
no flags Details | Diff
update to 3.4.0 rc3 (8.34 KB, patch)
2016-11-11 00:43 UTC, Eric Camachat
no flags Details | Diff
v3.4.0 release (8.41 KB, patch)
2016-11-28 19:46 UTC, Eric Camachat
no flags Details | Diff
fix compiling on 12-CURRENT, update to v3.4.1 (12.02 KB, patch)
2017-01-12 03:00 UTC, Eric Camachat
no flags Details | Diff
mongodb34 3.4.0 port (3.22 KB, application/gzip)
2017-03-22 17:11 UTC, Reshad Patuck
no flags Details
Update patch (13.57 KB, patch)
2017-03-29 14:32 UTC, Eric Camachat
no flags Details | Diff
obsolete 3.4.0 port (2 bytes, text/plain)
2017-03-30 06:20 UTC, Reshad Patuck
no flags Details
mongobd 3.4.3 (13.94 KB, patch)
2017-03-31 12:26 UTC, Reshad Patuck
no flags Details | Diff
Update to mongodb v3.4.3 (13.57 KB, patch)
2017-04-01 00:45 UTC, Eric Camachat
no flags Details | Diff
Fix rc.d script (13.39 KB, patch)
2017-04-03 03:30 UTC, Eric Camachat
no flags Details | Diff
Update to v3.4.4 (13.17 KB, patch)
2017-04-25 17:54 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2016-10-05 05:46:09 UTC
Created attachment 175440 [details]
add databases/mongodb34 port

add databases/mongodb34 port.
Comment 1 Eric Camachat 2016-11-09 19:36:14 UTC
Created attachment 176825 [details]
do not change maintainer of mongodb
Comment 2 Eric Camachat 2016-11-09 19:38:47 UTC
Created attachment 176826 [details]
refresh patch
Comment 3 Eric Camachat 2016-11-09 23:51:24 UTC
Created attachment 176840 [details]
Update to 3.4.0 rc2

RC2 is available now.
Comment 4 Eric Camachat 2016-11-11 00:43:40 UTC
Created attachment 176885 [details]
update to 3.4.0 rc3
Comment 5 Eric Camachat 2016-11-28 19:46:51 UTC
Created attachment 177491 [details]
v3.4.0 release
Comment 6 Eric Camachat 2017-01-12 03:00:22 UTC
Created attachment 178770 [details]
fix compiling on 12-CURRENT, update to v3.4.1
Comment 7 Reshad Patuck 2017-03-22 17:11:46 UTC
Created attachment 181064 [details]
mongodb34 3.4.0 port

Hey,

Any reason why this port was rejected.

I have a working port very similar to this.

I have tested this on both 10.3 and 11 and it works just fine.

I am working on an update for the 3.4.2 release.
Comment 8 Eric Camachat 2017-03-22 18:02:07 UTC
(In reply to Reshad from comment #7)
Yes, mine works fine too.
Because I lack of time to verify it on older FreeBSDs, I am running 12-CURRENT as my desktop, and had been wait too long for original maintainer response.
I will reopen it and remove maintainer-feedback, hope it will be committed into ports.
Comment 9 Reshad Patuck 2017-03-22 18:15:28 UTC
(In reply to Eric Camachat from comment #8)

I have tested mine quite extensively against 10.3 and 11.0 release, and preliminary tests on 12 (it compiles and starts)

Let me know if you require any testing done on either platform.
Comment 10 Šimun Mikecin 2017-03-29 08:33:32 UTC
Could you please explain the way you use attached files to build this port?

"mongodb34 3.4.0 port" is a gzip archive of a binary data. How do you use that?

"fix compiling on 12-CURRENT, update to v3.4.1" is a svn patch that failes with:
/usr/ports# svn patch /tmp/mongodb34-patch.txt
C         databases/Makefile
>         rejected hunk @@ -200,6 +200,7 @@
svn: E155010: The node '/usr/ports/databases/mongodb34/Makefile' was not found.


I suggest that you remove current attachments and attach a single shar archive that contains everything needed.
Comment 11 Eric Camachat 2017-03-29 14:32:02 UTC
Created attachment 181294 [details]
Update patch
Comment 12 Eric Camachat 2017-03-29 14:34:00 UTC
(In reply to Šimun Mikecin from comment #10)
I updated patch file.
Also, "mongodb34 3.4.0 port" wasn't uploaded by me.
Comment 13 Reshad Patuck 2017-03-30 06:20:16 UTC
Created attachment 181307 [details]
obsolete 3.4.0 port

(In reply to Šimun Mikecin from comment #10)

That is just the tar'd files of the port, did not have the svn ports tree handy and was taking ages to load.

@Eric has uploaded a newer version that obsoletes mine.
Comment 14 Reshad Patuck 2017-03-31 12:26:33 UTC
Created attachment 181346 [details]
mongobd 3.4.3

@Eric updated your port to the latest mongodb release 3.4.3

built both your 3.4.2 and 3.4.3 on FreeBSD 12 Current and got a bunch of warnings:

/usr/include/c++/v1/math.h:864: warning: powl has lower than advertised precision

Will build on 10.3 and 11.0 and let you know how that goes.
Comment 15 Eric Camachat 2017-04-01 00:45:21 UTC
Created attachment 181367 [details]
Update to mongodb v3.4.3
Comment 16 Eric Camachat 2017-04-01 00:48:13 UTC
(In reply to Reshad from comment #14)
/usr/include/c++/v1/math.h:864: warning: powl has lower than advertised precision

That's because of FreeBSD has no real powl() implementation, it uses pow() instead. In some ARCHs long double == double, but on AMD64 long double != double.
Comment 17 Reshad Patuck 2017-04-02 10:39:24 UTC
(In reply to Eric Camachat from comment #15)

I just built the port on FreeBSD 11 and 12 (removing the debug symbols) and it works fine, except that the pkg created does not create the /var/run/mongodb/ directory.

Also it needs to set the permissions on the directory to mongodb:mongodb

Will also build and test on 10 soon
Comment 18 Eric Camachat 2017-04-03 03:30:57 UTC
Created attachment 181410 [details]
Fix rc.d script
Comment 19 Reshad Patuck 2017-04-24 14:06:57 UTC
Hey, 3.4.4 was released a couple of days ago.

Your 3.4.3 port has been working well for the past few weeks (11.0-RELEASE and 12-CURRENT) any idea if we can get this in the ports tree.
Comment 20 Boris Samorodov freebsd_committer 2017-04-24 18:36:31 UTC
Take.
Comment 21 Boris Samorodov freebsd_committer 2017-04-24 18:47:27 UTC
Hi Eric, thank you for taking care of the port.

I have a question though. Why did you set MAINTAINER to brendan+freebsd@bbqsrc.net but not for yourself? This is a new port and one can't just offer a port to someone but oneself. BTW, Brendan is a maintainer of other ports and his approval is not needed. It's just a tradition to *ask* the maintainer of the old version port if he would like to sumbit/maintain a new version. In this case seems that Brandon is not interested in new port(s).

In other words would you mind being a maintainer of this port?
Comment 22 Eric Camachat 2017-04-24 19:40:07 UTC
(In reply to Reshad from comment #19)
I started 3.4.4 poudriere testing.
Comment 23 Eric Camachat 2017-04-24 19:41:36 UTC
(In reply to Boris Samorodov from comment #21)
Because the Makefile was copied from databases/mongodb32, I'm OK to be the maintainer.
Comment 24 Boris Samorodov freebsd_committer 2017-04-24 19:46:59 UTC
(In reply to Eric Camachat from comment #23)
Great. Should I wait for your 3.4.4 patches?

BTW, clang37 is no more available at 10.3, so Makefile should be changed a bit to confirm the change (to clang40).
Comment 25 Eric Camachat 2017-04-25 17:54:04 UTC
Created attachment 182086 [details]
Update to v3.4.4
Comment 26 Eric Camachat 2017-04-25 17:55:38 UTC
Seems v3.4.4 running well at least for our applications.
Comment 27 Boris Samorodov freebsd_committer 2017-04-26 12:11:10 UTC
Poudriere test build succeeded. Howeber "portlint -aCN" had some comments:
---
FATAL: Makefile: DISTVERSIONPREFIX appears out-of-order.
FATAL: Makefile: either PORTVERSION or DISTVERSION must be specified, not both.
WARN: /usr/ports/databases/mongodb34/files/patch-rpm_mongod.conf: patch was not generated using ``make makepatch''.
[...]
---

I fixed those problems and now portlint is happy:
---
looks fine.
---

I'll commit the port soon.
Comment 28 commit-hook freebsd_committer 2017-04-26 12:35:04 UTC
A commit references this bug:

Author: bsam
Date: Wed Apr 26 12:34:46 UTC 2017
New revision: 439444
URL: https://svnweb.freebsd.org/changeset/ports/439444

Log:
  databases/mongodb34: Add a new stable mongodb 3.4.x version.

  PR:		213220
  Submitted by:	Eric Camachat <eric@camachat.org>

Changes:
  head/databases/Makefile
  head/databases/mongodb34/
  head/databases/mongodb34/Makefile
  head/databases/mongodb34/distinfo
  head/databases/mongodb34/files/mongod.in
  head/databases/mongodb34/files/patch-SConstruct
  head/databases/mongodb34/files/patch-rpm_mongod.conf
  head/databases/mongodb34/files/patch-src_mongo_db_fts_unicode_string.cpp
  head/databases/mongodb34/pkg-plist
Comment 29 Boris Samorodov freebsd_committer 2017-04-26 12:43:37 UTC
Committed, thanks!